(* COMPILE-CMD: ia32.cmp *)

Program AsmTest2;

Var
  O, K: Integer;

begin
  asm ( 'movl %%eax,%0'           (* only on IA32 *)
        'movl %%ebx,%1'
        : '=rm' ( O ), '=rm' ( K )
        : 'a' ( 79 ), 'b' ( 75 ) );
  writeln ( chr ( O ), chr ( K ) );
end.
